Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class PromptTextAreaUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              org.jdesktop.swingx.plaf.PromptTextUI
                  org.jdesktop.swingx.plaf.PromptTextAreaUI

    public class PromptTextAreaUI

extends PromptTextUI

`PromptTextUI` implementation for rendering prompts on `JTextArea`s and uses a `JTextArea` as a prompt component.

Author:
  Peter Weishapl

Nested Class Summary

Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.PromptTextUI
`PromptTextUI.PainterHighlighter`

Field Summary

Fields inherited from class org.jdesktop.swingx.plaf.PromptTextUI
`delegate, promptComponent`

Constructor Summary
`PromptTextAreaUI(javax.swing.plaf.TextUI delegate)` Creates a new `PromptTextAreaUI`.

Method Summary
`protected javax.swing.text.JTextComponent` | `createPromptComponent()` Returns a shared `JTextArea`.
`javax.swing.text.JTextComponent` | `getPromptComponent(javax.swing.text.JTextComponent txt)` Overrides `getPromptComponent(JTextComponent)` to additionally update `JTextArea` specific properties.

Methods inherited from class org.jdesktop.swingx.plaf.PromptTextUI
`contains, damageRange, damageRange, equals, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getEditorKit, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, hashCode, installUI, modelToView, modelToView, paint, paintPromptComponent, shouldPaintPrompt, toString, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`createUI, getBaselineResizeBehavior`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PromptTextAreaUI

    public PromptTextAreaUI(javax.swing.plaf.TextUI delegate)

  Creates a new `PromptTextAreaUI`.

  Parameters:
    `delegate` -

Method Detail

### getPromptComponent

    public javax.swing.text.JTextComponent getPromptComponent(javax.swing.text.JTextComponent txt)

  Overrides `getPromptComponent(JTextComponent)` to additionally update `JTextArea` specific properties.

  Overrides:
    `getPromptComponent` in class `PromptTextUI`
  Returns:
    the adjusted prompt component

### createPromptComponent

    protected javax.swing.text.JTextComponent createPromptComponent()

  Returns a shared `JTextArea`.

  Specified by:
    `createPromptComponent` in class `PromptTextUI`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.